claw::unary_compose< F1, F2 > Class Template Reference

Function object that compose two function objects. More...

`#include <functional.hpp>`

Inheritance diagram for claw::unary_compose< F1, F2 >:

## Public Member Functions

template<typename G1, typename G2>
| unary_compose (const unary_compose< G1, G2 > &that)
| Copy constructor.
F1::result_type | operator() (typename F2::argument_type &a) const
| Return (F1 o F2)(a).

## Detailed Description

template<typename F1, typename F2>
class claw::unary_compose< F1, F2 >

Function object that compose two function objects.

Template arguments:

- F1 The type of the first function, must be a model of Adaptable Unary Function,
- F2 The type of the second function, must be a model of Adaptable Unary Function.

Author
  Julien Jorge

Definition at line 217 of file functional.hpp.

## Constructor & Destructor Documentation

## unary_compose() [1/2]

template<typename F1, typename F2>

claw::unary_compose< F1, F2 >::unary_compose | ( |  | ) |

inline

Definition at line 222 of file functional.hpp.

## unary_compose() [2/2]

template<typename F1, typename F2>
template<typename G1, typename G2>

claw::unary_compose< F1, F2 >::unary_compose | ( | const unary_compose< G1, G2 > & | that | ) |

inline

Copy constructor.

Parameters

  that | The instance to copy from.

There is actually nothing to copy but this constructor is useful for casting function objects.

Definition at line 232 of file functional.hpp.

## Member Function Documentation

## operator()()

template<typename F1, typename F2>

F1::result_type claw::unary_compose< F1, F2 >::operator() | ( | typename F2::argument_type & | a | ) | const

inline

Return (F1 o F2)(a).

Definition at line 238 of file functional.hpp.

The documentation for this class was generated from the following file:

- functional.hpp